Browse code

In "Developer Tools", made a new updater for the APSK-GLMP-GTK apphoard, and added updaters for Roster Include Manager and Roster Lib Manager.

Apollia authored on10/29/2018 06:28:46
Showing4 changed files
... ...
@@ -43,4 +43,15 @@ bash "Update Apphoard Copy of 00-App Manager" "$1"
43 43
 echo
44 44
 perl_repeat "-" 80
45 45
 
46
-bash "Update Apphoard Copy of Roster Bin Manager" "$1"
47 46
\ No newline at end of file
47
+bash "Update Apphoard Copy of Roster Bin Manager" "$1"
48
+
49
+echo
50
+perl_repeat "-" 80
51
+
52
+bash "Update Apphoard Copy of Roster Include Manager" "$1"
53
+
54
+echo
55
+perl_repeat "-" 80
56
+
57
+bash "Update Apphoard Copy of Roster Lib Manager" "$1"
58
+
48 59
new file mode 100644
... ...
@@ -0,0 +1,22 @@
1
+#!/bin/bash
2
+
3
+readonly Fillepath____This_Script=$(realpath "${BASH_SOURCE[0]}")
4
+	readonly Follpath____This_Script=$(dirname "$Fillepath____This_Script")
5
+	
6
+		readonly Workspace_Follpath____Roster_Include_Manager=$(realpath "$Follpath____This_Script/../../00-App Manager/Other Managers/Roster Include Manager")
7
+
8
+
9
+if [ -z "$1" ]
10
+then
11
+	echo "Aborting - arg #1 must be the folderpath of an apphoard!"
12
+	exit 1
13
+fi
14
+
15
+
16
+Follpath____Main_Apphoard="$1"
17
+
18
+	readonly Apphoard_Follpath____Roster_Include_Manager="$Follpath____Main_Apphoard/00-Roster of Apps/Roster Include Manager"
19
+	
20
+
21
+ReplicatorBeam --source "$Workspace_Follpath____Roster_Include_Manager" --dest "$Apphoard_Follpath____Roster_Include_Manager" --energize
22
+
0 23
new file mode 100644
... ...
@@ -0,0 +1,22 @@
1
+#!/bin/bash
2
+
3
+readonly Fillepath____This_Script=$(realpath "${BASH_SOURCE[0]}")
4
+	readonly Follpath____This_Script=$(dirname "$Fillepath____This_Script")
5
+	
6
+		readonly Workspace_Follpath____Roster_Lib_Manager=$(realpath "$Follpath____This_Script/../../00-App Manager/Other Managers/Roster Lib Manager")
7
+
8
+
9
+if [ -z "$1" ]
10
+then
11
+	echo "Aborting - arg #1 must be the folderpath of an apphoard!"
12
+	exit 1
13
+fi
14
+
15
+
16
+Follpath____Main_Apphoard="$1"
17
+
18
+	readonly Apphoard_Follpath____Roster_Lib_Manager="$Follpath____Main_Apphoard/00-Roster of Apps/Roster Lib Manager"
19
+	
20
+
21
+ReplicatorBeam --source "$Workspace_Follpath____Roster_Lib_Manager" --dest "$Apphoard_Follpath____Roster_Lib_Manager" --energize
22
+
0 23
new file mode 100644
... ...
@@ -0,0 +1,13 @@
1
+#!/bin/bash
2
+
3
+readonly Fillepath____This_Script=$(realpath "${BASH_SOURCE[0]}")
4
+	readonly Follpath____This_Script=$(dirname "$Fillepath____This_Script")
5
+	
6
+		readonly Follpath____Workhorses="$Follpath____This_Script/Workhorses"
7
+			readonly Fillepath____Workhorse="$Follpath____Workhorses/0000 - Update Apphoard Copy of Everything in APSK Apphoard Manager"
8
+
9
+
10
+readonly Follpath____Apphoard="/root/apbin/APSK-GLMP-GTK"
11
+
12
+
13
+bash "$Fillepath____Workhorse" "$Follpath____Apphoard"